<?php

namespace App\Console;

use App\Service\DatabaseService;
use App\Service\Traits\SelectUserQuestion;
use Symfony\Component\Console\Attribute\AsCommand;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputArgument;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;
use Symfony\Component\Console\Question\ChoiceQuestion;
use Symfony\Component\Console\Question\Question;

#[AsCommand('app:user:delete')]
class DeleteUserCommand extends Command
{
    use SelectUserQuestion;

    public function __construct(
        private readonly DatabaseService $db,
    )
    {
        parent::__construct();
    }

    public function configure(): void
    {
        $this->addArgument('user', InputArgument::OPTIONAL, 'User name');
        $this->addArgument('host', InputArgument::OPTIONAL, 'User host');
    }

    protected function execute(InputInterface $input, OutputInterface $output): int
    {
        $host = $input->getArgument('host');
        $user = $this->getUserName($input, $output);

        $this->db->deleteUser($user, $host);

        $output->writeln(sprintf('User "%s" successfully deleted', $user));

        return Command::SUCCESS;
    }
}