<?php

namespace App\Console;

use App\Service\DatabaseService;
use Symfony\Component\Console\Attribute\AsCommand;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;
use Symfony\Component\Console\Style\SymfonyStyle;

#[AsCommand('app:db:list')]
class ListDatabasesCommand extends Command
{
    public function __construct(
        private readonly DatabaseService $db,
    )
    {
        parent::__construct();
    }

    protected function execute(InputInterface $input, OutputInterface $output): int
    {
        $dbs = $this->db->listDatabases();
        $style = new SymfonyStyle($input, $output);

        $table = $style
            ->createTable()
            ->setHeaders(['Name'])
            ->setHeaderTitle('List of databases')
        ;
        foreach ($dbs as $db) {
            $table->addRow([$db]);
        }
        $table->render();

        return Command::SUCCESS;
    }
}