<?php

namespace App\Console;

use App\Service\DatabaseService;
use Symfony\Component\Console\Attribute\AsCommand;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;
use Symfony\Component\Console\Style\SymfonyStyle;

#[AsCommand('app:user:list')]
class ListUsersCommand extends Command
{
    public function __construct(
        private readonly DatabaseService $db,
    )
    {
        parent::__construct();
    }

    protected function execute(InputInterface $input, OutputInterface $output): int
    {
        $style = new SymfonyStyle($input, $output);

        $users = $this->db->listUsers();

        $table = $style
            ->createTable()
            ->setHeaders(['Name', 'Host', 'Plugin'])
            ->setHeaderTitle('List of users')
        ;
        foreach ($users as $user) {
            $table->addRow([$user['name'], $user['host'], $user['plugin'] ?? '']);
        }
        $table->render();

        return Command::SUCCESS;
    }
}