<?php

namespace App\Service\Traits;

use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;
use Symfony\Component\Console\Question\ChoiceQuestion;

trait SelectDatabaseQuestion
{
    private function getDatabaseName(InputInterface $input, OutputInterface $output): string
    {
        if (!$database = $input->getArgument('database')) {
            $question = $this->getHelper('question');
            $databases = $this->db->listDatabases();
            $selectQuestion = new ChoiceQuestion('Database name: ', array_combine($databases, $databases));
            $database = $question->ask($input, $output, $selectQuestion);
        }

        return $database;
    }
}