<?php

namespace App\Service\Traits;

use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;
use Symfony\Component\Console\Question\ChoiceQuestion;

trait SelectUserQuestion
{
    private function getUserName(InputInterface $input, OutputInterface $output): string
    {
        $user = $input->getArgument('user');
        if (!$user) {
            $question = $this->getHelper('question');
            $users = array_map(
                fn($user) => $user['name'],
                $this->db->listUsers());
            $selectQuestion = new ChoiceQuestion('User name: ', array_combine($users, $users));
            $user = $question->ask($input, $output, $selectQuestion);
        }

        return $user;
    }
}